package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

/**
 * 批次说明VO
 * @author 萌
 */
public class BatchDetailVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 批次详情id */
    private Long batchDetailId;

    /** 省份id */
    private Long provinceId;

    /** 批次名称 */
    private String batchName;

    /** 填报时间 */
    private String submitTime;

    /** 志愿方式 */
    private String wishType;

    /** 志愿数量 */
    private Integer wishNum;

    /** 志愿格式 */
    private String wishForm;

    /** 院校类型 */
    private String schoolType;

    /** 计算方式 */
    private String countType;

    /** 填报要求 */
    private String submitDemand;

    /** 批次线 */
    private String batchLine;

    /** 说明 */
    private String description;

    /** 简短说明 */
    private String shortDescription;


    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public Long getBatchDetailId() {
        return batchDetailId;
    }

    public void setBatchDetailId(Long batchDetailId) {
        this.batchDetailId = batchDetailId;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    public String getWishType() {
        return wishType;
    }

    public void setWishType(String wishType) {
        this.wishType = wishType;
    }

    public Integer getWishNum() {
        return wishNum;
    }

    public void setWishNum(Integer wishNum) {
        this.wishNum = wishNum;
    }

    public String getWishForm() {
        return wishForm;
    }

    public void setWishForm(String wishForm) {
        this.wishForm = wishForm;
    }

    public String getSchoolType() {
        return schoolType;
    }

    public void setSchoolType(String schoolType) {
        this.schoolType = schoolType;
    }

    public String getCountType() {
        return countType;
    }

    public void setCountType(String countType) {
        this.countType = countType;
    }

    public String getSubmitDemand() {
        return submitDemand;
    }

    public void setSubmitDemand(String submitDemand) {
        this.submitDemand = submitDemand;
    }

    public String getBatchLine() {
        return batchLine;
    }

    public void setBatchLine(String batchLine) {
        this.batchLine = batchLine;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getShortDescription() {
        return shortDescription;
    }

    public void setShortDescription(String shortDescription) {
        this.shortDescription = shortDescription;
    }

    @Override
    public String toString() {
        return "BatchDetailVO{" +
                "batchDetailId=" + batchDetailId +
                ", provinceId=" + provinceId +
                ", batchName=" + batchName +
                ", submitTime='" + submitTime + '\'' +
                ", wishType='" + wishType + '\'' +
                ", wishNum=" + wishNum +
                ", wishForm='" + wishForm + '\'' +
                ", schoolType='" + schoolType + '\'' +
                ", countType='" + countType + '\'' +
                ", submitDemand='" + submitDemand + '\'' +
                ", batchLine='" + batchLine + '\'' +
                ", description='" + description + '\'' +
                ", shortDescription='" + shortDescription + '\'' +
                '}';
    }
}
